import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

np.random.seed(123)
x = np.random.chisquare(2, 500)
s = pd.Series(x)

bs = [None, 1, 3, 5, 15]
plt.figure(figsize=(15, 5))
for i, b in enumerate(bs):
    plt.subplot(1, len(bs), i + 1)
    plt.title(f"bins = {b}")
    sns.distplot(s, bins=b)

plt.show()
